<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lab 5: Класс Ui_Error</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lab 5
   </div>
   <div id="projectbrief">Проект со строками</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="#pub-attribs">Открытые атрибуты</a> &#124;
<a href="class_ui___error-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс Ui_Error</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Граф наследования:Ui_Error:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_ui___error.png" usemap="#Ui_5FError_map" alt=""/>
  <map id="Ui_5FError_map" name="Ui_5FError_map">
<area href="class_ui_1_1_error.html" alt="Ui::Error" shape="rect" coords="0,56,60,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:a77499cfd75fa661b8037ec284f31b011"><td class="memItemLeft" align="right" valign="top"><a id="a77499cfd75fa661b8037ec284f31b011"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setupUi</b> (QDialog *<a class="el" href="class_error.html">Error</a>)</td></tr>
<tr class="separator:a77499cfd75fa661b8037ec284f31b011"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14c7d1f8bdcd238960ab776b0dc12f0f"><td class="memItemLeft" align="right" valign="top"><a id="a14c7d1f8bdcd238960ab776b0dc12f0f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>retranslateUi</b> (QDialog *<a class="el" href="class_error.html">Error</a>)</td></tr>
<tr class="separator:a14c7d1f8bdcd238960ab776b0dc12f0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Открытые атрибуты</h2></td></tr>
<tr class="memitem:a072aa808712c6a9c2ae078c4f4597e26"><td class="memItemLeft" align="right" valign="top"><a id="a072aa808712c6a9c2ae078c4f4597e26"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>label</b></td></tr>
<tr class="separator:a072aa808712c6a9c2ae078c4f4597e26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab818310b8f25334ff5072b7850b368bf"><td class="memItemLeft" align="right" valign="top"><a id="ab818310b8f25334ff5072b7850b368bf"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>errorStr</b></td></tr>
<tr class="separator:ab818310b8f25334ff5072b7850b368bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab99132f9d82a59081204f8baa1adb85b"><td class="memItemLeft" align="right" valign="top"><a id="ab99132f9d82a59081204f8baa1adb85b"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>errorButton</b></td></tr>
<tr class="separator:ab99132f9d82a59081204f8baa1adb85b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>C:/VVID/Lab3/<a class="el" href="ui__error_8h_source.html">ui_error.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
